import request from '@/utils/request'

export function summaryList(params: Record<string, any>) {
  return request({ method: 'get', url: '/summary/list', params })
}

export function summaryMemberList(params: Record<string, any>) {
  return request({ method: 'get', url: '/summary/member/list', params })
}

export function summaryStatisticsList(params: Record<string, any>) {
  return request({ method: 'get', url: '/summary/statistics/list', params })
}

export function summaryDraftList(params: Record<string, any>) {
  return request({ method: 'get', url: '/summary/draft/list', params })
}

export function summaryShareList(params: Record<string, any>) {
  return request({ method: 'get', url: '/summary/share/list', params })
}

export function summaryAnnouncementList(params: Record<string, any>) {
  return request({ method: 'get', url: '/summary/announcement/list', params })
}

export function summaryGet(id: string | number) {
  return request({ method: 'get', url: '/summary/get', params: { id } })
}

export function summaryAdd(data: Record<string, any>) {
  return request({ method: 'post', url: '/summary/add', data })
}

export function summaryEdit(data: Record<string, any>) {
  return request({ method: 'put', url: '/summary/edit', data })
}
